clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::FieldTypeInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::FieldTypeInfo:
[legend]
Collaboration diagram for clang::doc::FieldTypeInfo:
[legend]

## Public Member Functions
| FieldTypeInfo ()=default
| FieldTypeInfo (SymbolID Type, StringRef Field, InfoType IT, StringRef Path, llvm::StringRef Name)
| FieldTypeInfo (llvm::StringRef RefName, llvm::StringRef Name)
| FieldTypeInfo (llvm::StringRef RefName, StringRef Path, llvm::StringRef Name)
bool | operator== (const FieldTypeInfo &Other) const
Public Member Functions inherited from clang::doc::TypeInfo
| TypeInfo ()=default
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT)
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT, StringRef Path)
| TypeInfo (llvm::StringRef RefName)
| TypeInfo (llvm::StringRef RefName, StringRef Path)
bool | operator== (const TypeInfo &Other) const

## Public Attributes
SmallString< 16 > | Name
Public Attributes inherited from clang::doc::TypeInfo
Reference | Type

## Detailed Description

Definition at line 167 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ FieldTypeInfo() [1/4]

clang::doc::FieldTypeInfo::FieldTypeInfo | ( |  | ) |
| default

## ◆ FieldTypeInfo() [2/4]

clang::doc::FieldTypeInfo::FieldTypeInfo | ( | SymbolID | Type,
|  | StringRef | Field,
|  | InfoType | IT,
|  | StringRef | Path,
|  | llvm::StringRef | Name
| ) |  |
| inline

Definition at line 169 of file Representation.h.

## ◆ FieldTypeInfo() [3/4]

clang::doc::FieldTypeInfo::FieldTypeInfo | ( | llvm::StringRef | RefName,
|  | llvm::StringRef | Name
| ) |  |
| inline

Definition at line 172 of file Representation.h.

## ◆ FieldTypeInfo() [4/4]

clang::doc::FieldTypeInfo::FieldTypeInfo | ( | llvm::StringRef | RefName,
|  | StringRef | Path,
|  | llvm::StringRef | Name
| ) |  |
| inline

Definition at line 174 of file Representation.h.

## Member Function Documentation

## ◆ operator==()

bool clang::doc::FieldTypeInfo::operator== | ( | const FieldTypeInfo & | Other | ) | const
| inline

Definition at line 177 of file Representation.h.

References Name, Name, Type, and clang::doc::TypeInfo::Type.

## Member Data Documentation

## ◆ Name

SmallString<16> clang::doc::FieldTypeInfo::Name

Definition at line 181 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), llvm::yaml::FieldTypeInfoMapping(), llvm::yaml::MappingTraits< FieldTypeInfo >::mapping(), operator==(), and clang::doc::MemberTypeInfo::operator==().

The documentation for this struct was generated from the following file:

- Representation.h